EDIT - bug #8213

MySQLSyntaxErrorException with 'Submitter’ user acessing view registration#!regStart
03/29/2019 03:59 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: blocker Found in Version:

Description

Caused by: com.mysqgl. jdbc.exceptions. jdbc4.MySQLSyntaxErrorException: You have an error in your SQ
L syntax; check the manual that corresponds to your MariaDB server version for the right syntax to
use near ')))' at line 1

at sun.reflect.GeneratedConstructorAccessor727.newlnstance (Unknown Source)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessor
Impl. java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:423)

at com.mysqgl.jdbc.Util.handleNewInstance (Util. java:404)

at com.mysqgl. jdbc.Util.getInstance (Util. java:387)

at com.mysqgl. jdbc.SQLError.createSQLException (SQLError.java:939)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysqlIO. java:3878)

at com.mysgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl.jdbc.MysglIO.sglQueryDirect (MysglIO. java:2625)

at com.mysqgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executelnternal (PreparedStatement.java:1861)

at com.mysqgl. jdbc.PreparedStatement .executeQuery (PreparedStatement. java:1962)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement .executeQuery (NewProxyPreparedStateme
nt.java:353)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.extract (ResultSetReturnImpl. java
:70)

102 more

Associated revisions

Revision e001877d - 04/01/2019 12:28 PM - Andreas Kohlbecker

fix #8213 fixing db query for users witch have not created any references yet

History

#1 - 04/01/2019 12:28 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|e001877db8b2aadba14c286801d7f23e91dee120.

#2 - 04/01/2019 12:30 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

problem solved.
